import request from '@/utils/request'
// 查询学生退学申请记录列表
export function listRtStuDropOutSchool(query) {
  return request({
    url: '/routine/rtStuDropOutSchool/list',
    method: 'get',
    params: query
  })
}

// 查询学生退学申请记录详细
export function getRtStuDropOutSchool(dropOutSchoolId) {
  return request({
    url: '/routine/rtStuDropOutSchool/' + dropOutSchoolId,
    method: 'get'
  })
}

// 查询学生退学申请记录详细
export function getRtStuDropOutSchoolByprocInsId(procInsId) {
  return request({
    url: '/routine/rtStuDropOutSchool/getRtStuDropOutSchoolByprocInsId/' + procInsId,
    method: 'get'
  })
}

// 新增学生退学申请记录
export function addRtStuDropOutSchool(data) {
  return request({
    url: '/routine/rtStuDropOutSchool/add',
    method: 'post',
    data: data
  })
}

// 保存学生退学申请记录
export function save(data) {
  return request({
    url: '/routine/rtStuDropOutSchool/save',
    method: 'post',
    data: data
  })
}


// 修改学生退学申请记录
export function updateRtStuDropOutSchool(data) {
  return request({
    url: '/routine/rtStuDropOutSchool/update',
    method: 'post',
    data: data
  })
}

// 删除学生退学申请记录
export function delRtStuDropOutSchool(dropOutSchoolId) {
  return request({
    url: '/routine/rtStuDropOutSchool/' + dropOutSchoolId,
    method: 'post'
  })
}
